Apache log4cxx Version @version@

Classes | Namespaces | Macros | Typedefs | Functions
patternconverter.h File Reference

## Classes
class | PatternConverter

## Namespaces
namespace | log4cxx
namespace | log4cxx::pattern

## Macros
#define | DECLARE_LOG4CXX_PATTERN(cls) DECLARE_ABSTRACT_LOG4CXX_OBJECT(cls)

## Typedefs
typedef std::vector< LogString > | OptionsList

## Functions
| LOG4CXX_PTR_DEF (PatternConverter)

## Macro Definition Documentation

## ◆ DECLARE_LOG4CXX_PATTERN

#define DECLARE_LOG4CXX_PATTERN | ( |  | cls | ) | DECLARE_ABSTRACT_LOG4CXX_OBJECT(cls)